Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.
i have RHEL 6.3

[root@RHEL6 yum.repos.d]# uname -a
Linux RHEL6.3-64-BuildMac 2.6.32-279.el6.x86_64 #1 SMP Wed Jun 13 18:24:36 EDT 2012     x86_64 x86_64 x86_64 GNU/Linux

My /etc/yum.conf looks like  
[main]  
cachedir=/var/cache/yum/$basearch/$releasever  
keepcache=0  
debuglevel=2  
logfile=/var/log/yum.log  
exactarch=1  
obsoletes=1  
gpgcheck=1  
plugins=1  
installonly_limit=3  
reposdir=/etc/yum.repos.d/rhel.repo

The contents of my /etc.yum.repo.d/rhel.repo looks like
[rhelrepo]  
name=my rhel repo  
baseurl=http://mirror.centos.org/centos/6.3/os/x86_64/  
#gpgkey=http://mirror.centos.org/centos/6.3/os/x86_64/RPM-GPG-KEY-CentOS-6  
enabled=1  
gpgcheck=0  

But my yum update fails with the following error

[root@RHEL6 yum.repos.d]# yum update  
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
Unable to read consumer identity
Setting up Update Process
No Packages marked for Update

please could somebody help

share|improve this question

migrated from stackoverflow.com Oct 1 '12 at 16:18

This question came from our site for professional and enthusiast programmers.

add comment

4 Answers 4

Disable subscription manager and try

Change enable=0 in /etc/yum/pluginconf.d/product-id.conf and /etc/yum/pluginconf.d/subscription-manager.conf

[main]

enabled=0

and then clean cache

rm -rfv /var/cache/yum/*

yum clean all

share|improve this answer
    
Mine was hanging at "updating certificate-based repositories", and this solution worked for me, thanks. Note that I did not have an active RHEL subscription on that machine. –  Liam Apr 14 at 10:17
add comment

This may be of help. I haven't had this error myself, though, so I couldn't test.

http://lpar.ath0.com/2012/09/10/yum-unable-to-read-consumer-identity/

share|improve this answer
    
sorry it does not help!! –  user1670818 Oct 1 '12 at 12:44
add comment

RHEL requires that you identify yourself as a legitimate customer for updates, and the error message you posted seems to say that failed.

share|improve this answer
add comment

To fix the "Unable to read consumer identity" warning:

$ vi /etc/yum/pluginconf.d/subscription-manager.conf

Then change enabled to 0 so the file looks like this:

[main]
enabled=0

Then your "Unable to read consumer identity" warning will go away. Also, your update probably was not failing, there were probably just no packages to update at the time. Leaving it with the warning is fine too, it has no functional impact.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.